ClassProxyFactory.MockMethodInterceptor (EasyMock 3.1 API)
Date: 2011-11-10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.easymock.internal
Class ClassProxyFactory.MockMethodInterceptor

    java.lang.Object
      org.easymock.internal.ClassProxyFactory.MockMethodInterceptor

All Implemented Interfaces:
  Serializable, net.sf.cglib.proxy.Callback, net.sf.cglib.proxy.MethodInterceptor

Enclosing class:
  ClassProxyFactory<T>

    public static class ClassProxyFactory.MockMethodInterceptor

extends Object
implements net.sf.cglib.proxy.MethodInterceptor, Serializable

See Also:
  Serialized Form

Constructor Summary
`ClassProxyFactory.MockMethodInterceptor(InvocationHandler handler)`

Method Summary
`InvocationHandler` | `getHandler()`
`Object` | `intercept(Object obj, Method method, Object[] args, net.sf.cglib.proxy.MethodProxy proxy)`
`void` | `setMockedMethods(Method... mockedMethods)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassProxyFactory.MockMethodInterceptor

    public ClassProxyFactory.MockMethodInterceptor(InvocationHandler handler)

Method Detail

### intercept

    public Object intercept(Object obj,
                            Method method,
                            Object[] args,
                            net.sf.cglib.proxy.MethodProxy proxy)
                     throws Throwable

  Specified by:
    `intercept` in interface `net.sf.cglib.proxy.MethodInterceptor`
  Throws:
    `Throwable`

### getHandler

    public InvocationHandler getHandler()

### setMockedMethods

    public void setMockedMethods(Method... mockedMethods)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 OFFIS, Tammo Freese, Henri Tremblay. All Rights Reserved.